## This is a sample configuration file. See the nxlog reference manual about the
## configuration options. It should be installed locally and is also available
## online at http://nxlog.org/nxlog-docs/en/nxlog-reference-manual.html

## Please set the ROOT to the folder your nxlog was installed into,
## otherwise it will not start.

#define ROOT C:\Program Files\nxlog
define ROOT C:\Program Files (x86)\nxlog

Moduledir %ROOT%\modules
CacheDir %ROOT%\data
Pidfile %ROOT%\data\nxlog.pid
SpoolDir %ROOT%\data
LogFile %ROOT%\data\nxlog.log

<Extension gelf>
    Module      xm_gelf
</Extension>

<Input eventlog>
    # Use 'im_mseventlog' for Windows XP, 2000 and 2003
    Module      im_msvistalog
    Query  <QueryList>\
               <Query Id="0">\
                   <Select Path="Security">*</Select>\
               </Query>\
           </QueryList>
</Input>

<Output tcp>
    Module      om_tcp
    Host        {{ nxlog_graylog_server }}
    Port        {{ nxlog_graylog_port }}
    OutputType  GELF_TCP
</Output>

<Route eventlog_to_tcp>
    Path        eventlog => tcp
</Route>
